import Foundation

enum ConnectionStatus: Stateable {
    case disconnected
    case connected
}

struct ConnectionState: Stateable {
    var srvRecords: [SRVRecord]
    var socketStatus: ConnectionStatus
    var host: String
    var port: Int
}

// MARK: Init
extension ConnectionState {
    init() {
        srvRecords = []
        socketStatus = .disconnected
        host = ""
        port = 0
    }
}
